Diligent Engine API Reference: Diligent::BlendStateDesc Struct Reference

Diligent Engine API Reference

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Diligent::BlendStateDesc Struct Reference

Blend state description. More...

## Public Member Functions
| BlendStateDesc ()
| Constructor initializes structure members with default values. More...
bool | operator== (const BlendStateDesc &RHS) const
| Comparison operator tests if two structures are equivalent. More...

## Public Attributes
Bool | AlphaToCoverageEnable
| Specifies whether to use alpha-to-coverage as a multisampling technique when setting a pixel to a render target. Default value: False.
Bool | IndependentBlendEnable
| Specifies whether to enable independent blending in simultaneous render targets. If set to False, only RenderTargets[0] is used. Default value: False.
RenderTargetBlendDesc | RenderTargets [MaxRenderTargets]
| An array of RenderTargetBlendDesc structures that describe the blend states for render targets.

## Static Public Attributes
static constexpr int | MaxRenderTargets = 8
| Constant member defining the maximum number of render targets.

## Detailed Description

Blend state description.

This structure describes the blend state and is part of the GraphicsPipelineDesc.

## Constructor & Destructor Documentation

## ◆ BlendStateDesc()

Diligent::BlendStateDesc::BlendStateDesc | ( |  | ) |
| inline

Constructor initializes structure members with default values.

Member | Default va
--- | ---
AlphaToCoverageEnable | False
IndependentBlendEnable | False

Members of RenderTargets[] are initialized with default values by RenderTargetBlendDesc::RenderTargetBlendDesc()

## Member Function Documentation

## ◆ operator==()

bool Diligent::BlendStateDesc::operator== | ( | const BlendStateDesc & | RHS | ) | const
| inline

Comparison operator tests if two structures are equivalent.

Parameters

  [in] | RHS | - reference to the structure to perform comparison with

Returns
  - True if all members are of the two structures equal.

Note
  The operator performs bitwise comparison of the two structures. That is if for instance both structures have IndependentBlendEnable set to False, but differ in render target other than 0, the operator will return False even though the two blend states created from these structures will be identical.
  - False otherwise